package com.sptg.common.core.beans;

import lombok.Getter;

/**
 * title: ExcelResultEnum
 * package: com.sptg.common.core.beans
 * description: excel 导入枚举
 *
 *
 *
 */
@Getter
public enum ExcelResultEnum implements ResultBean.BaseResultEnum{
    /**
     * 部分数据导入成功
     */
    SUCCESS_ERROR("200","部分数据导入成功，错误数据请查看生成的错误表格"),

    /**
     * 导入成功
     */
    SUCCESS("200","导入成功"),

    /**
     * 导入失败
     */
    ERROR("200","导入失败"),

    /**
     * 参数异常
     */
    PARAMETER_ANOMALY("200","参数类型错误，请核实后再操作"),

    /**
     * 文件类型错误
     */
    FILE_TYPE_ERROR("200","文件类型错误，请重新选择"),

    /**
     * 文件内容错误
     */
    FILE_CONTENT_ERROR("200","文件内容错误，请核实后再操作"),

    /**
     * 文件太大
     */
    FILE_IS_BIG_1000("200","文件太大（不超过1000条），请分批操作"),
    /**
     * 文件太大
     */
    FILE_IS_BIG_2000("200","文件太大（不超过2000条），请分批操作"),
    ;

    /**
     * 状态吗
     */
    private String code;

    /**
     * 消息
     */
    private String msg;

    ExcelResultEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
